Index: /data/trunk/levels/blinktest.oxw
===================================================================
--- /data/trunk/levels/blinktest.oxw	(revision 4702)
+++ /data/trunk/levels/blinktest.oxw	(revision 4703)
@@ -25,4 +25,10 @@
       <mountpoints>models/spaceships/human_spaceship_bomber.oif</mountpoints>
       <abs-coor>10,0,10</abs-coor>
+    </NPC>
+    <NPC>
+      <name>pirateTwo</name>
+      <model>models/spaceships/human_spaceship_fighter.obj, 0.2</model>
+      <mountpoints>models/spaceships/human_spaceship_fighter.oif</mountpoints>
+      <abs-coor>10,0,0</abs-coor>
     </NPC>
     <Building>
Index: /data/trunk/models/spaceships/human_spaceship_fighter.oif
===================================================================
--- /data/trunk/models/spaceships/human_spaceship_fighter.oif	(revision 4702)
+++ /data/trunk/models/spaceships/human_spaceship_fighter.oif	(revision 4703)
@@ -28,6 +28,7 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>0, 150, 180</color>
+      <size>0.2</size>
+      <period>0.25</period>
     </Details>
   </MP.04.light1>
@@ -38,6 +39,7 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>0, 150, 180</color>
+      <size>0.2</size>
+      <period>0.25</period>
     </Details>
   </MP.05.light2>
@@ -48,6 +50,6 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>0, 150, 180</color>
+      <size>0.2</size>
     </Details>
   </MP.06.light3>
@@ -58,6 +60,6 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>0, 150, 180</color>
+      <size>0.2</size>
     </Details>
   </MP.07.light4>
@@ -68,8 +70,63 @@
     <Details>
       <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <color>0, 150, 180</color>
+      <size>0.2</size>
     </Details>
   </MP.08.lightfront>
+
+  <MP.09.engine1>
+    <Description>fire outta engine 01</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine01</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.25, 0.125</life-span>
+      <radius>0.0, .75, .75</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,0, 0.6, 0.75,.7</color>
+      <color>.5, 0, 0.6,  0.75, .8</color>
+      <color>1, 1, 1, 1, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.09.engine1>
+  <MP.10.engine2>
+    <Description>fire outta engine 02</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine02</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.25, 0.125</life-span>
+      <radius>0.0, .75, .75</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,0, 0.6, 0.75,.7</color>
+      <color>.5, 0, 0.6,  0.75, .8</color>
+      <color>1, 1, 1, 1, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.10.engine2>
 
 </MountPoints>
Index: /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif
===================================================================
--- /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4702)
+++ /data/trunk/models/spaceships/pirates_spaceship_ragnar.oif	(revision 4703)
@@ -23,5 +23,4 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-          <rel-dir>3.1412, 0, 0, 1</rel-dir>
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
@@ -52,5 +51,4 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-          <rel-dir>3.1412, 0, 0, 1</rel-dir>
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
@@ -81,5 +79,4 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-          <rel-dir>3.1412, 0, 0, 1</rel-dir>
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
@@ -110,5 +107,4 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-          <rel-dir>3.1412, 0, 0, 1</rel-dir>
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
@@ -139,5 +135,4 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-          <rel-dir>3.1412, 0, 0, 1</rel-dir>
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
@@ -168,5 +163,4 @@
         <DotEmitter>
           <name>Engine Emitter</name>
-          <rel-dir>3.1412, 0, 0, 1</rel-dir>
           <spread>0, 0.1</spread>
           <emission-velocity>-5,1</emission-velocity>
@@ -217,7 +211,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000000000000000000000246777777</sequence>
     </Details>
   </MP.11.light_back1>
@@ -227,7 +222,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000000000000000000000246777777</sequence>
     </Details>
   </MP.12.light_back2>
@@ -237,7 +233,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000000000000000000000246777777</sequence>
     </Details>
   </MP.13.light_back3>
@@ -247,7 +244,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000000000000000000000246777777</sequence>
     </Details>
   </MP.14.light_back4>
@@ -257,7 +255,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>777777000000000000000000000246</sequence>
     </Details>
   </MP.15.light_front1>
@@ -267,7 +266,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>777777000000000000000000000246</sequence>
     </Details>
   </MP.16.light_front2>
@@ -277,7 +277,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000246777777000000000000000000</sequence>
     </Details>
   </MP.17.light_front3>
@@ -287,7 +288,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000246777777000000000000000000</sequence>
     </Details>
   </MP.18.light_front4>
@@ -297,7 +299,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000246777777000000000000000000</sequence>
     </Details>
   </MP.19.light_top1>
@@ -307,7 +310,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000000000246777777000000000000</sequence>
     </Details>
   </MP.20.light_top2>
@@ -317,7 +321,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>0.3</size>
+      <sequence>000000000000000246777777000000</sequence>
     </Details>
   </MP.21.light_top3>