Index: /orxonox/trunk/src/lib/collision_detection/bv_tree.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 4711)
+++ /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 4712)
@@ -26,5 +26,6 @@
   DRAW_BV_BLENDED        = 1<<4,
   DRAW_BV_POLYGON        = 1<<5,
-  DRAW_MODEL             = 1<<6
+  DRAW_MODEL             = 1<<6,
+  DRAW_POINTS            = 1<<7
 };
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4711)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4712)
@@ -472,21 +472,4 @@
   PRINTF(3)("-- Finished Calculating Attributes\n");
 
-
-
-//   PRINTF(3)("\nwe got length: \n");
-  for(int i = 0; i < 3; ++i)
-  {
-    //if( box->halfLength[i] == 0.0)
-    if(fabs(box->halfLength[i]) > 5.0f)
-    {
-      PRINTF(0)("length[%i] = %f\n", i, box->halfLength[i]);
-      PRINTF(0)("MaxLength = %f, MinLength = %f\n", maxLength[i], minLength[i]);
-      PRINTF(0)("\nVertex Data:\n");
-      for(int i = 0; i < length; i++)
-      {
-        PRINTF(0)("vertex %i: %f, %f, %f\n", i, box->vertices[i][0], box->vertices[i][1], box->vertices[i][2]);
-      }
-    }
-  }
 }
 
@@ -626,4 +609,5 @@
   /* if the obb overlap, make subtests: check which node is realy overlaping  */
   PRINT(3)("Checking OBB %i vs %i: ", this->getIndex(), treeNode->getIndex());
+  //if( unlikely())
   if( this->overlapTest(this->bvElement, ((OBBTreeNode*)treeNode)->bvElement, nodeA, nodeB))
   {
@@ -780,14 +764,20 @@
     if( !(drawMode & DRAW_SINGLE && depth != 0))
     {
+      if( drawMode & DRAW_POINTS)
+        glBegin(GL_POINTS);
       for(int i = 0; i < this->bvElement->numOfVertices; ++i)
       {
-        glPushMatrix();
-        //glMatrixMode(GL_MODELVIEW);
-        //glVertex3f(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
-        glTranslatef(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
-        gluSphere(this->sphereObj, 0.1, 10, 10);
-        //PRINTF(0)("v(%f, %f, %f)\n", this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
-        glPopMatrix();
+        if( drawMode & DRAW_POINTS)
+          glVertex3f(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
+        else
+        {
+          glPushMatrix();
+          glTranslatef(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
+          gluSphere(this->sphereObj, 0.1, 10, 10);
+          glPopMatrix();
+        }
       }
+      if( drawMode & DRAW_POINTS)
+        glEnd();
     }
   }
Index: /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4711)
+++ /orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4712)
@@ -79,10 +79,9 @@
   entityList = new tList<WorldEntity>();
 
-   a = new TestEntity(); a->setName("Clown1");
-   b = new Environment(); a->setName("Clown");
-  //b = new Environment(); b->setName("Jaeger");
+  a = new TestEntity(); a->setName("Clown1");
+  b = new Environment(); b->setName("Jaeger");
   //c = new Terrain();
 
-   b->setRelCoor(0.0, 0.0, -10.0);
+  b->setRelCoor(0.0, 0.0, -10.0);
   //b->setRelDir(Quaternion(-M_PI/2.0f, Vector(0.0, 1.0, 0.0)));
 
@@ -336,4 +335,20 @@
 
 
+int drawPoints(GtkWidget* nonInterest, void* widget)
+{
+  if(drawMode & DRAW_POINTS)
+  {
+    int temp = drawMode & DRAW_POINTS;
+    drawMode ^= temp;
+
+  }
+  else
+  {
+    drawMode |= DRAW_POINTS;
+    printf("Drawing OBB Polygons\n");
+  }
+}
+
+
 int treeDepth(GtkWidget* nonInterest, void* widget)
 {
@@ -377,4 +392,9 @@
 
 
+      CheckButton* DrawPoints = new CheckButton("Draw Points");
+      DrawPoints->connectSignal("clicked", (void*)DrawPoints, drawPoints);
+      windowBox->fill(DrawPoints);
+
+
       CheckButton* SeperatingPlanes = new CheckButton("SeperatingPlanes");
       SeperatingPlanes->connectSignal("clicked", (void*)SeperatingPlanes, seperatingPlanes);
@@ -382,5 +402,5 @@
 
 
-      Slider* TreeDepth = new Slider("TreeDepth", 0, 10);
+      Slider* TreeDepth = new Slider("TreeDepth", 0, 17);
       TreeDepth->connectSignal("value_changed", (void*)TreeDepth, treeDepth);
       windowBox->fill(TreeDepth);
Index: /orxonox/trunk/src/world_entities/environment.cc
===================================================================
--- /orxonox/trunk/src/world_entities/environment.cc	(revision 4711)
+++ /orxonox/trunk/src/world_entities/environment.cc	(revision 4712)
@@ -35,5 +35,5 @@
   this->model = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj"/*"worlds/vulcania.obj"*/, OBJ, RP_CAMPAIGN);
 
-  this->obbTree = new OBBTree(10, (sVec3D*)this->model->getVertexArray(), this->model->getVertexCount());
+  this->obbTree = new OBBTree(15, (sVec3D*)this->model->getVertexArray(), this->model->getVertexCount());
 }
 
Index: /orxonox/trunk/src/world_entities/test_entity.cc
===================================================================
--- /orxonox/trunk/src/world_entities/test_entity.cc	(revision 4711)
+++ /orxonox/trunk/src/world_entities/test_entity.cc	(revision 4712)
@@ -32,5 +32,5 @@
 
   this->md2Model = new MD2Model("models/tris.md2", "models/tris.pcx");
-  this->obbTree = new OBBTree(4, (sVec3D*)this->md2Model->data->pVertices, this->md2Model->data->numVertices);
+  this->obbTree = new OBBTree(7, (sVec3D*)this->md2Model->data->pVertices, this->md2Model->data->numVertices);
   this->md2Model->debug();
 }