Index: data/trunk/models/spaceships/pirates_spaceship_fighter.oif
===================================================================
--- data/trunk/models/spaceships/pirates_spaceship_fighter.oif	(revision 4680)
+++ data/trunk/models/spaceships/pirates_spaceship_fighter.oif	(revision 4721)
@@ -4,31 +4,93 @@
   <MP.00.laserMitte1>
     <Description>Laser</Description>
-    <OrxClass>LaserCannon</OrxClass>
-  </MP.00.Turret>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon1</name>
+      <slot>0,0</slot>
+    </Details>
+  </MP.00.laserMitte1>
 
   <MP.01.laserMitte2>
     <Description>Laser</Description>
-    <OrxClass>LaserCannon</OrxClass>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon2</name>
+      <slot>1,1</slot>
+    </Details>
   </MP.01.laserMitte2>
 
   <MP.02.WaffeRechts>
     <Description>Canon rechts</Description>
-    <OrxClass>Cannon</OrxClass>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon3</name>
+      <slot>2,1</slot>
+    </Details>
   </MP.02.WaffeRechts>
 
   <MP.03.WaffeLinks>
     <Description>Canon links</Description>
-    <OrxClass>Cannon</OrxClass>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon4</name>
+      <slot>3,0</slot>
+    </Details>
   </MP.03.WaffeLinks>
 
- <!-- <MP.04.MotorRechts>
+  <MP.04.MotorRechts>
     <Description>Motor rechts</Description>
-    <OrxClass>Motor</OrxClass>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine rechts</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.25, 0.125</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>EngineEmitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
   </MP.04.MotorRechts>
 
   <MP.05.MotorLinks>
     <Description>Motor links</Description>
-    <OrxClass>Motor</OrxClass>
-  </MP.05.MotorLinks>-->
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine links</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.25, 0.125</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>EngineEmitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.05.MotorLinks>
 
   <MP.06.light1>
@@ -36,7 +98,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>orange light</name>
+      <color>200, 50, 0</color>
+      <size>0.25</size>
+      <sequence>7346534774457765374543677</sequence>
     </Details>
   </MP.06.light1>
@@ -46,7 +109,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>orange light</name>
+      <color>200, 50, 0</color>
+      <size>0.25</size>
+      <sequence>3677744577734653476537454</sequence>
     </Details>
   </MP.07.light2>
@@ -56,7 +120,8 @@
     <OrxClass>Blink</OrxClass>
     <Details>
-      <name>BlueLight7</name>
-      <color>0, 0, 255</color>
-      <size>0.5</size>
+      <name>orange light</name>
+      <color>200, 50, 0</color>
+      <size>0.25</size>
+      <sequence>3677347645474457537734657</sequence>
     </Details>
   </MP.08.light3>