Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4721)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4722)
@@ -1,3 +1,4 @@
-<WorldDataFile> <name>Mission 1</name>
+<WorldDataFile>
+  <name>Mission 1</name>
   <description>This is the vertical scroller level.</description>
   <menu-item-image>textures/menu/Scienceproject_512x512.jpg</menu-item-image>
@@ -30,54 +31,10 @@
       <Size>100</Size>
     </Rotor>
-<!--- -->
-    <Rotor>
-      <name>meteorit01.1</name>
-      <model>models/planets/asteroid_FA48.obj, 18</model>
-      <abs-coor>900,-100,-40</abs-coor>
-      <rotation>1,0,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-
-    <Rotor>
-      <name>meteorit01.2</name>
-      <model>models/planets/asteroid_FA48.obj, 16</model>
-      <abs-coor>1160,-50,-50</abs-coor>
-      <rotation>0,2,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-    <Rotor>
-      <name>meteorit01.3</name>
-      <model>models/planets/asteroid_FA48.obj, 5</model>
-      <abs-coor>1150,-100,-25</abs-coor>
-      <rotation>0,6,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-    <Rotor>
-      <name>meteorit01.4</name>
-      <model>models/planets/asteroid_FA48.obj, 10</model>
-      <abs-coor>1240,-100,-10</abs-coor>
-      <rotation>1,2,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-    <Rotor>
-      <name>meteorit01.5</name>
-      <model>models/planets/asteroid_FA48.obj, 25</model>
-      <abs-coor>1170,-100,20</abs-coor>
-      <rotation>0,0.5,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-    <Rotor>    <Rotor>
-      <name>meteorit01.6</name>
-      <model>models/planets/asteroid_FA48.obj, 10</model>
-      <abs-coor>1300,-50,-30</abs-coor>
-      <rotation>0,2,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-    <!--- -->
+
+    <Rotor>
       <name>meteorit02</name>
       <model>models/planets/asteroid_FA48.obj, 20</model>
       <abs-coor>1500,-200,40</abs-coor>
-      <rotation>0,0,2</rotation>
+      <rotation>0,0,3</rotation>
       <Size>100</Size>
     </Rotor>
@@ -235,4 +192,32 @@
 
     <NPC>
+      <name>Pirate53</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>1</team>
+      <swarm>1</swarm>
+      <list>group00</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>3450, 0, -20</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate54</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>1</team>
+      <swarm>1</swarm>
+      <list>group00</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>3450, 0, 20</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+
+
+    <NPC>
       <name>Pirate04</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
@@ -243,5 +228,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>5000, 0, -10</abs-coor>
+      <abs-coor>5000, 0, -30</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -256,5 +241,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>5000, 0, 10</abs-coor>
+      <abs-coor>5000, 0, -40</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -269,7 +254,35 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>4960, 0, 0</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
+      <abs-coor>4960, 0, -40</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate56</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>4980, 0, -40</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate57</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>2</swarm>
+      <list>group00</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>4980, 0, 40</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+
 
     <NPC>
@@ -282,5 +295,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>6000, 0, -40</abs-coor>
+      <abs-coor>6000, 0, -200</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -294,5 +307,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>6010, 0, -30</abs-coor>
+      <abs-coor>6010, 0, -205</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -306,7 +319,48 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>6010, 0, -50</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
+      <abs-coor>6010, 0, -195</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate59</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>6020, 0, -210</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate49</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>6020, 0, -220</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate79</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>2</team>
+      <swarm>3</swarm>
+      <list>group00</list>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>6010, 0, -185</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+
 
     <NPC>
@@ -316,5 +370,5 @@
       <Track>
         <mode>0</mode>
-        <speed>55</speed>
+        <speed>60</speed>
         <addPoint>3600,-100,200</addPoint>
         <addPoint>3700,-100,100</addPoint>
@@ -330,10 +384,10 @@
       <name>Ragnar02</name>
       <model>models/spaceships/pirates_spaceship_ragnar.obj,6</model>
-      <abs-coor>7000, 0, -350</abs-coor>
+      <abs-coor>7000, 0, -500</abs-coor>
       <abs-dir> 1,5,0,1,0 </abs-dir>
       <team>3</team>
       <swarm>1</swarm>
       <list>group00</list>
-      <attackDistance>50</attackDistance>
+      <attackDistance>60</attackDistance>
       <Weapons>HeavyBlaster</Weapons>
       <maxSpeed>400</maxSpeed>
@@ -349,5 +403,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>7500, 0, -1000</abs-coor>
+      <abs-coor>7500, 0, -1145</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -355,5 +409,5 @@
     <NPC>
       <name>Noxon02</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
+      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
       <team>2</team>
       <swarm>3</swarm>
@@ -362,5 +416,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>7500, 0, -1010</abs-coor>
+      <abs-coor>7510, 0, -1150</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -368,5 +422,5 @@
     <NPC>
       <name>Noxon03</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
+      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
       <team>2</team>
       <swarm>3</swarm>
@@ -375,5 +429,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>7500, 0, -990</abs-coor>
+      <abs-coor>7520, 0, -1155</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -387,5 +441,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>7550, 0, -1020</abs-coor>
+      <abs-coor>7530, 0, -1160</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
@@ -399,5 +453,5 @@
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>7550, 0, -980</abs-coor>
+      <abs-coor>7540, 0, -1147</abs-coor>
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
Index: /data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4721)
+++ /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4722)
@@ -6,13 +6,23 @@
 thisscript:addObject("NPC", "Ragnar01")
 thisscript:addObject("NPC", "Ragnar02")
+
 thisscript:addObject("NPC", "Pirate01")
 thisscript:addObject("NPC", "Pirate02")
 thisscript:addObject("NPC", "Pirate03")
+thisscript:addObject("NPC", "Pirate53")
+thisscript:addObject("NPC", "Pirate54")
+
 thisscript:addObject("NPC", "Pirate04")
 thisscript:addObject("NPC", "Pirate05")
 thisscript:addObject("NPC", "Pirate06")
+thisscript:addObject("NPC", "Pirate56")
+thisscript:addObject("NPC", "Pirate57")
+
 thisscript:addObject("NPC", "Pirate07")
 thisscript:addObject("NPC", "Pirate08")
 thisscript:addObject("NPC", "Pirate09")
+thisscript:addObject("NPC", "Pirate59")
+thisscript:addObject("NPC", "Pirate49")
+thisscript:addObject("NPC", "Pirate79")
 
 -- The Noxons
@@ -71,5 +81,5 @@
 triggerRagnar:setRadius(50)
 triggerRagnar:setTarget("Player")
-triggerRagnar:setAbsCoor(3600 , 0 , -10)
+triggerRagnar:setAbsCoor(3600 , 0 , -15)
 triggerRagnar:setDebugDraw(true)
 triggerRagnar:setActiveOnCreation(false)
@@ -91,5 +101,5 @@
 triggerAI02:setRadius(50)
 triggerAI02:setTarget("Player")
-triggerAI02:setAbsCoor(4900, 0, 0)
+triggerAI02:setAbsCoor(4900, 0, -45)
 triggerAI02:setDebugDraw(true)
 triggerAI02:setActiveOnCreation(false)
@@ -101,5 +111,5 @@
 triggerAI03:setRadius(50)
 triggerAI03:setTarget("Player")
-triggerAI03:setAbsCoor(5850, 0, -70)
+triggerAI03:setAbsCoor(5850, 0, -170)
 triggerAI03:setDebugDraw(true)
 triggerAI03:setActiveOnCreation(false)
@@ -111,5 +121,5 @@
 triggerAI04:setRadius(50)
 triggerAI04:setTarget("Player")
-triggerAI04:setAbsCoor(6500, 0, -200)
+triggerAI04:setAbsCoor(6500, 0, -400)
 triggerAI04:setDebugDraw(true)
 triggerAI04:setActiveOnCreation(false)
@@ -125,16 +135,14 @@
 time = 0
 
+-- init function
 function init(timestep)
 -- cameraManager:setCam("GameWorld-Camera")
 cameraManager:atachCameraToWorldEntity("CameraOne", "NPC", "Pirate01")
 cameraManager:atachCameraToWorldEntity("CameraTwo", "NPC", "Noxon01")
-cameraManager:setRelCoor("CameraOne", 10, 8 , 5)
+cameraManager:setRelCoor("CameraOne", 10, 8 , -5)
 cameraManager:setRelCoor("CameraTwo", 10, 8 , 5)
---Player:setCameraDistance(100)
 
 
 Ragnar01:pause(true)
--- cameraManager:changeTarget("CameraOne", "NPC", "Pirate01")
--- cameraManager:jumpCam("CameraOne", 3300, 0, 50)
 
 return true
@@ -145,7 +153,4 @@
 Player:pause(true)
 cameraManager:setCam("CameraOne")
--- gameWorld:showText("Kill those traitorous bastards")
--- cameraManager:changeCurrTarget("NPC", "Pirate01")
--- cameraManager:atachCurrCameraToWorldEntity("NPC", "Pirate01")
 cutsceneRunning = true
 return true
@@ -186,4 +191,6 @@
 Pirate02:setAI(true)
 Pirate03:setAI(true)
+Pirate53:setAI(true)
+Pirate54:setAI(true)
 
 return true
@@ -196,4 +203,6 @@
 Pirate05:setAI(true)
 Pirate06:setAI(true)
+Pirate56:setAI(true)
+Pirate57:setAI(true)
 
 return true
@@ -206,4 +215,7 @@
 Pirate08:setAI(true)
 Pirate09:setAI(true)
+Pirate59:setAI(true)
+Pirate49:setAI(true)
+Pirate79:setAI(true)
 
 return true
@@ -215,6 +227,6 @@
 Ragnar02:setAI(true)
 bossFight = true
-Player:setCameraDist(100)
-
+cameraManager:setRelCoorSoft("GameWorld-Camera", -0.05, 120, 0)
+Player:pause(true)
 return true
 end
@@ -236,9 +248,9 @@
 end
 
+
 function onNoxons(timestep)
 
 if bossFightEnd then
 cameraManager:setCam("CameraTwo")
-Player:pause(true)
 end
 
@@ -246,2 +258,8 @@
 return cutscene2End
 end
+
+
+function ragnarBoom(timestep)
+Ragnar01:destroy()
+return true
+end