Index: data/trunk/models/spaceships/human_spaceship_fighter_vert.oif
===================================================================
--- data/trunk/models/spaceships/human_spaceship_fighter_vert.oif	(revision 4725)
+++ data/trunk/models/spaceships/human_spaceship_fighter_vert.oif	(revision 4725)
@@ -0,0 +1,150 @@
+<ObjectInformationFile>
+
+<MountPoints>
+
+  <MP.00.heavyweaponA>
+    <Description>Heavy Weapon Slot</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon1</name>
+      <slot>0,0</slot>
+    </Details>
+  </MP.00.heavyweaponA>
+
+  <MP.01.heavyweaponB>
+    <Description>Heavy Weapon Slot</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon2</name>
+      <slot>1,1</slot>
+    </Details>
+  </MP.01.heavyweaponB>
+
+  <MP.02.lightweaponA>
+    <Description>Light Weapon Slot</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon3</name>
+      <slot>2,0</slot>
+    </Details>
+  </MP.02.lightweaponA>
+
+  <MP.03.lightweaponB>
+    <Description>Light Weapon Slot</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon4</name>
+      <slot>3,1</slot>
+    </Details>
+  </MP.03.lightweaponB>
+
+  <MP.04.light1>
+    <Description>light</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight7</name>
+      <color>0, 150, 180</color>
+      <size>1</size>
+      <period>0.25</period>
+    </Details>
+  </MP.04.light1>
+
+  <MP.05.light2>
+    <Description>light</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight7</name>
+      <color>0, 150, 180</color>
+      <size>1</size>
+      <period>0.25</period>
+    </Details>
+  </MP.05.light2>
+
+  <MP.06.light3>
+    <Description>light</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight7</name>
+      <color>0, 150, 180</color>
+      <size>1</size>
+    </Details>
+  </MP.06.light3>
+
+  <MP.07.light4>
+    <Description>light</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight7</name>
+      <color>0, 150, 180</color>
+      <size>1</size>
+    </Details>
+  </MP.07.light4>
+
+  <MP.08.lightfront>
+    <Description>light front</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>BlueLight7</name>
+      <color>0, 150, 180</color>
+      <size>1</size>
+    </Details>
+  </MP.08.lightfront>
+
+  <MP.09.engine1>
+    <Description>fire outta engine 01</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine01</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>400</max-count>
+      <life-span>0.05, 0.025</life-span>
+      <radius>0.0, 1.5, 1.5</radius>
+      <radius>0.2, 1, 1</radius>
+      <radius>1.0, 0.5, 0.5</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0, 0, 0.6,  0.75,.7</color>
+      <color>.5, 0, 0.6,  0.75, 1</color>
+      <color>1, 0, 0.6,  0.75, 1</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>200</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.09.engine1>
+  <MP.10.engine2>
+    <Description>fire outta engine 02</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine02</name>
+     <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>400</max-count>
+      <life-span>0.05, 0.025</life-span>
+      <radius>0.0, 1.5, 1.5</radius>
+      <radius>0.2, 1, 1</radius>
+      <radius>1.0, 0.5, 0.5</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0, 0, 0.6,  0.75,.7</color>
+      <color>.5, 0, 0.6,  0.75, 1</color>
+      <color>1, 0, 0.6,  0.75, 1</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>200</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.10.engine2>
+
+</MountPoints>
+
+</ObjectInformationFile>
Index: data/trunk/models/spaceships/noxon_spaceship_scout_vert.oif
===================================================================
--- data/trunk/models/spaceships/noxon_spaceship_scout_vert.oif	(revision 4725)
+++ data/trunk/models/spaceships/noxon_spaceship_scout_vert.oif	(revision 4725)
@@ -0,0 +1,53 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.00.weapon>
+    <Description>Weapon up</Description>
+    <OrxClass>DamnBigGun</OrxClass>
+    <Details>
+      <name>Front Gun</name>
+      <model>some model path</model>
+    </Details>
+  </MP.00.weapon>
+
+  <MP.01.weapon>
+    <Description>Weapon left</Description>
+    <OrxClass>DamnBigGun</OrxClass>
+  </MP.01.weapon>
+
+  <MP.02.weapon>
+    <Description>Weapon right</Description>
+    <OrxClass>DamnBigGun</OrxClass>
+  </MP.02.weapon>
+
+  <MP.03.engine>
+    <Description>engine slot</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.6, 0.3</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 1.2, 1.2</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,0, 1, 0, .8</color>
+      <color>.5, 0, 1,  0, .6</color>
+      <color>1, 0, 1, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.03.engine>
+
+</MountPoints>
+
+</ObjectInformationFile>
Index: data/trunk/models/spaceships/pirates_spaceship_fighter_vert.oif
===================================================================
--- data/trunk/models/spaceships/pirates_spaceship_fighter_vert.oif	(revision 4725)
+++ data/trunk/models/spaceships/pirates_spaceship_fighter_vert.oif	(revision 4725)
@@ -0,0 +1,131 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.00.laserMitte1>
+    <Description>Laser</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon1</name>
+      <slot>0,0</slot>
+    </Details>
+  </MP.00.laserMitte1>
+
+  <MP.01.laserMitte2>
+    <Description>Laser</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon2</name>
+      <slot>1,1</slot>
+    </Details>
+  </MP.01.laserMitte2>
+
+  <MP.02.WaffeRechts>
+    <Description>Canon rechts</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon3</name>
+      <slot>2,1</slot>
+    </Details>
+  </MP.02.WaffeRechts>
+
+  <MP.03.WaffeLinks>
+    <Description>Canon links</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>weapon4</name>
+      <slot>3,0</slot>
+    </Details>
+  </MP.03.WaffeLinks>
+
+  <MP.04.MotorRechts>
+    <Description>Motor rechts</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine rechts</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.25, 0.125</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>EngineEmitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.04.MotorRechts>
+
+  <MP.05.MotorLinks>
+    <Description>Motor links</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine links</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.25, 0.125</life-span>
+      <radius>0.0, 0.5, 0.5</radius>
+      <radius>0.2, 0.5, 0.5</radius>
+      <radius>1.0, 0.2, 0.2</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>EngineEmitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.05.MotorLinks>
+
+  <MP.06.light1>
+    <Description>light top</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>orange light</name>
+      <color>200, 50, 0</color>
+      <size>0.25</size>
+      <sequence>7346534774457765374543677</sequence>
+    </Details>
+  </MP.06.light1>
+
+  <MP.07.light2>
+    <Description>light</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>orange light</name>
+      <color>200, 50, 0</color>
+      <size>0.25</size>
+      <sequence>3677744577734653476537454</sequence>
+    </Details>
+  </MP.07.light2>
+
+  <MP.08.light3>
+    <Description>light</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>orange light</name>
+      <color>200, 50, 0</color>
+      <size>0.25</size>
+      <sequence>3677347645474457537734657</sequence>
+    </Details>
+  </MP.08.light3>
+
+</MountPoints>
+
+</ObjectInformationFile>
Index: data/trunk/models/spaceships/pirates_spaceship_ragnar_vert.oif
===================================================================
--- data/trunk/models/spaceships/pirates_spaceship_ragnar_vert.oif	(revision 4725)
+++ data/trunk/models/spaceships/pirates_spaceship_ragnar_vert.oif	(revision 4725)
@@ -0,0 +1,333 @@
+<ObjectInformationFile>
+
+<MountPoints>
+
+  <MP.01.enginefire01>
+    <Description>fire outta engine 01</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine01</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 10, 10</radius>
+      <radius>0.2, 10, 10</radius>
+      <radius>1.0, 4, 4</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.01.enginefire01>
+
+  <MP.02.enginefire02>
+    <Description>fire outta engine 02</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine02</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 10, 10</radius>
+      <radius>0.2, 10, 10</radius>
+      <radius>1.0, 4, 4</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.02.enginefire02>
+
+  <MP.03.enginefire03>
+    <Description>fire outta engine 03</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine03</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 10, 10</radius>
+      <radius>0.2, 10, 10</radius>
+      <radius>1.0, 4, 4</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.03.enginefire03>
+
+  <MP.04.enginefire04>
+    <Description>fire outta engine 04</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine04</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 10, 10</radius>
+      <radius>0.2, 10, 10</radius>
+      <radius>1.0, 4, 4</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.04.enginefire04>
+
+  <MP.05.enginefire05>
+    <Description>fire outta engine 05</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine05</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 10, 10</radius>
+      <radius>0.2, 10, 10</radius>
+      <radius>1.0, 4, 4</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.05.enginefire05>
+
+  <MP.06.enginefire06>
+    <Description>fire outta engine 06</Description>
+    <OrxClass>SpriteParticles</OrxClass>
+    <Details>
+      <name>engine06</name>
+      <type>sprite</type>
+      <texture>steam01.png</texture>
+      <max-count>150</max-count>
+      <life-span>0.5, 0.25</life-span>
+      <radius>0.0, 10, 10</radius>
+      <radius>0.2, 10, 10</radius>
+      <radius>1.0, 4, 4</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 0.5, 0,.7</color>
+      <color>.5, 1, 0,  0, .8</color>
+      <color>1, 1, .5, .0, .0.5</color>
+      <precache>5</precache>
+      <emitters>
+        <DotEmitter>
+          <name>Engine Emitter</name>
+          <spread>0, 0.1</spread>
+          <emission-velocity>-5,1</emission-velocity>
+          <rate>70</rate>
+        </DotEmitter>
+      </emitters>
+    </Details>
+  </MP.06.enginefire06>
+
+  <MP.07.laser01>
+    <Description>Turret slots</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>laser1</name>
+      <slot>0,1</slot>
+    </Details>
+  </MP.07.laser01>
+
+  <MP.08.laser02>
+    <Description>Turret slots</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>laser2</name>
+      <slot>1,0</slot>
+    </Details>
+  </MP.08.laser02>
+
+  <MP.09.cannon01>
+    <Description>Turret slots</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>cannon1</name>
+      <slot>2,1</slot>
+    </Details>
+  </MP.09.cannon01>
+
+  <MP.10.cannon02>
+    <Description>Turret slots</Description>
+    <OrxClass>WeaponSlot</OrxClass>
+    <Details>
+      <name>cannon2</name>
+      <slot>3,0</slot>
+    </Details>
+  </MP.10.cannon02>
+
+  <MP.11.light_back1>
+    <Description>light back</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000000000000000000000246777777</sequence>
+    </Details>
+  </MP.11.light_back1>
+
+  <MP.12.light_back2>
+    <Description>light back</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000000000000000000000246777777</sequence>
+    </Details>
+  </MP.12.light_back2>
+
+  <MP.13.light_back3>
+    <Description>light back</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000000000000000000000246777777</sequence>
+    </Details>
+  </MP.13.light_back3>
+
+  <MP.14.light_back4>
+    <Description>light back</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000000000000000000000246777777</sequence>
+    </Details>
+  </MP.14.light_back4>
+
+  <MP.15.light_front1>
+    <Description>light front</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>777777000000000000000000000246</sequence>
+    </Details>
+  </MP.15.light_front1>
+
+  <MP.16.light_front2>
+    <Description>light front</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>777777000000000000000000000246</sequence>
+    </Details>
+  </MP.16.light_front2>
+
+  <MP.17.light_front3>
+    <Description>light front</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000246777777000000000000000000</sequence>
+    </Details>
+  </MP.17.light_front3>
+
+  <MP.18.light_front4>
+    <Description>light front</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000246777777000000000000000000</sequence>
+    </Details>
+  </MP.18.light_front4>
+
+  <MP.19.light_top1>
+    <Description>light top</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000246777777000000000000000000</sequence>
+    </Details>
+  </MP.19.light_top1>
+
+  <MP.20.light_top2>
+    <Description>light top</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000000000246777777000000000000</sequence>
+    </Details>
+  </MP.20.light_top2>
+
+  <MP.21.light_top3>
+    <Description>light top</Description>
+    <OrxClass>Blink</OrxClass>
+    <Details>
+      <name>redlight</name>
+      <color>200, 50, 0</color>
+      <size>6</size>
+      <sequence>000000000000000246777777000000</sequence>
+    </Details>
+  </MP.21.light_top3>
+
+</MountPoints>
+
+</ObjectInformationFile>
+