Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4731)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4732)
@@ -156,5 +156,5 @@
       <name>Pirate01</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <list>group00</list>
@@ -170,5 +170,5 @@
       <name>Pirate02</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -184,5 +184,5 @@
       <name>Pirate03</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -198,5 +198,5 @@
       <name>Pirate53</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -212,5 +212,5 @@
       <name>Pirate54</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>1</swarm>
@@ -228,5 +228,5 @@
       <name>Pirate04</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>2</swarm>
@@ -242,5 +242,5 @@
       <name>Pirate05</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>1</team>
       <swarm>2</swarm>
@@ -256,5 +256,5 @@
       <name>Pirate06</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>2</swarm>
@@ -270,5 +270,5 @@
       <name>Pirate56</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>2</swarm>
@@ -284,5 +284,5 @@
       <name>Pirate57</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>2</swarm>
@@ -300,5 +300,5 @@
       <name>Pirate07</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -313,5 +313,5 @@
       <name>Pirate08</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -326,5 +326,5 @@
       <name>Pirate09</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -339,5 +339,5 @@
     <NPC>
       <name>Pirate59</name>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -353,5 +353,5 @@
       <name>Pirate49</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>
@@ -367,5 +367,5 @@
       <name>Pirate79</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>
+      <!--<mountpoints>models/spaceships/pirates_spaceship_fighter_vert.oif</mountpoints>-->
       <team>2</team>
       <swarm>3</swarm>